//****************************************************//
//									//
//	superbox.shader for GTKRadiant			//
//	by Co0ki3 - 01.03.2009				//
//									//
//****************************************************//
// q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
// color will be normalized, so it doesn't matter what range you use
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon


textures/ext_skyy/ext_end

{   
    qer_editorimage textures/ext_skyy/skyy.tga
	surfaceparm nolightmap
	surfaceparm noimpact
	surfaceparm sky
	q3map_surfacelight 70
	surfaceparm nodamage
	
	nopicmip
	nomipmaps
	q3map_sun 1 1 1 60 260 60
	skyparms textures/ext_skyy/ext_end/organic - -
}
textures/Ap3text/box
{
    qer_editorimage env/box/box_ft.jpg
	//q3map_sun 1 1 1 30 90 90
	q3map_sun 1 1 1 60 260 45
	//q3map_skylight 100 3
	q3map_backsplash 0 0
	surfaceparm nodamage
	
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	
	nopicmip
	nomipmaps

	skyparms env/box/box 128 -
}

textures/math/ladder
{
    qer_editorimage textures/math/ladder.tga
    q3map_bouncescale 0.7
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm nodamage
    surfaceparm ladder 
}

textures/math/sign
{
	qer_editorimage	textures/math/sign.tga
	qer_trans .75
	surfaceparm	nomarks
	surfaceparm nodamage
	surfaceparm	trans
	surfaceparm nolightmap
	cull	twosided
    {
        map textures/math/sign.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 0.39 0.35 0 0.2
       
    }
    
}
textures/Ap3text/hazard
{
	qer_editorimage	textures/Ap3text/hazard.tga
	qer_trans 0.8
	surfaceparm	nomarks
	surfaceparm nodamage
	surfaceparm	trans
	surfaceparm nolightmap
	cull none
   
      {
			 map textures/Ap3text/hazard.tga       
	          
			tcGen environment
			tcMod turb 0 0.01 0 0.01	        
			tcmod scroll .3 .1
			blendfunc GL_ONE GL_ONE
	         }
}
textures/Ap3text/fence
{
	surfaceparm trans		
	cull none
        nopicmip

	{
		map textures/Ap3text/fence.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/Ap3text/theend
{
    qer_editorimage textures/Ap3text/theend.tga
    polygonOffset
	cull twosided
    sort 6
    {
        map textures/Ap3text/theend.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaFunc GT0
		tcmod scroll .3 0
        depthWrite
        rgbGen identity
    }
	 
}
textures/Ap3text/mcityshine
{
    qer_editorimage textures/Ap3text/mcity.tga
    surfaceparm nodamage
	surfaceparm detail
    {
        map textures/Ap3text/mcity.tga
		tcmod scroll .1 0
    }
    
	
}


textures/math/symbol
{
	qer_editorimage	textures/math/symbol.tga
	qer_trans .75
	surfaceparm	nomarks
	surfaceparm nodamage
	surfaceparm	trans
	surfaceparm nolightmap
	cull	twosided
    {
        map textures/math/symbol.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 0.39 0.35 0 0.2
       
    }
    
}
textures/math/camera
{
	qer_editorimage textures/math/camera.tga
	surfaceparm playerclip
	surfaceparm nolightmap
	portal
	{
		map textures/math/camera.tga
 		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		blendFunc add
		depthWrite
		alphaGen portal 1600
    }
}
textures/math/camera1
{
	qer_editorimage textures/math/camera1.tga
	surfaceparm playerclip
	surfaceparm nolightmap
	portal
	{
		map textures/math/camera1.tga
 		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		blendFunc add
		depthWrite
		alphaGen portal 1600
    }
}
textures/atextures/beamlaser
{ 
   qer_editorimage textures/atextures/beamlaser.tga
   surfaceparm trans 
   surfaceparm nomarks 
   surfaceparm nolightmap 
   cull disable
        {
            clampmap textures/atextures/beamlaser.tga
            blendFunc GL_ONE GL_ONE
			tcmod scroll .0 -2
            
        }
}
textures/atextures/energything
{
	qer_editorimage	textures/atextures/energything.tga
	qer_trans .75
	surfaceparm	nomarks
	surfaceparm nodamage
	surfaceparm	trans
	surfaceparm nolightmap
	cull	twosided
    {
        map textures/atextures/energything.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 0.65 0.35 0 0.2
        tcMod scroll -1 2
    }
    {
        map textures/atextures/energything.tga
        blendFunc GL_ONE GL_ONE
        tcMod scroll 2 1
    }
}
textures/atextures/energything_slick
{
	qer_editorimage	textures/atextures/energything.tga
	surfaceparm	nomarks
	surfaceparm nodamage
	surfaceparm slick
	surfaceparm	trans
	surfaceparm nolightmap
	cull	twosided
    {
        map textures/atextures/energything.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 0.65 0.35 0 0.2
        tcMod scroll -1 2
    }
    {
        map textures/atextures/energything.tga
        blendFunc GL_ONE GL_ONE
        tcMod scroll 2 1
    }
}

textures/atextures/beamlaser1
{ 
   qer_editorimage textures/atextures/beamlaser.tga
   surfaceparm trans 
   surfaceparm nomarks 
   surfaceparm nolightmap 
   cull disable
        {
            clampmap textures/atextures/beamlaser.tga
            blendFunc GL_ONE GL_ONE
			tcmod scroll -2 1
            tcMod rotate 100
        }
}

textures/Ap3text/tunxgreen
{
	qer_editorimage	textures/Ap3text/tunxgreen.tga
	qer_trans .75
	surfaceparm	nomarks
	surfaceparm nodamage
	surfaceparm	trans
	surfaceparm nolightmap
	cull	twosided
    {
        map textures/Ap3text/tunxgreen
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 0.39 0.35 0 0.2
       
    }
    
}



textures/Ap3text/pipeflange
{ 
   qer_editorimage textures/Ap3text/pipeflange.tga
	qer_trans .75
	surfaceparm	nomarks
	surfaceparm nodamage
	surfaceparm	trans
	surfaceparm nolightmap
	cull	twosided      
	{
            map textures/Ap3text/pipeflange.tga
            blendFunc GL_ONE GL_ONE	
            tcMod rotate -100
        }
}
//**********************************
//	Flares:  MISC Flares/Light Effects
//**********************************
//		Flares are light effects that can really add to the visual aspect of your level.  These are created by making
//		a brush with the NODRAW/NONSOLID yellow texture then putting the appropriate Lens Flare texture on one side
//		of the brush. 


textures/math/saber/blue_glow2
{ 
   qer_editorimage textures/math/saber/blue_glow2.tga
   surfaceparm nolightmap  
   surfaceparm noimpact
   surfaceparm trans 
      q3map_surfacelight 5
   q3map_backsplash 100 0

   DeformVertexes autosprite   
   cull none
   { 
   	tcmod rotate 0
      map textures/math/saber/blue_glow2.tga
      blendfunc add
   }
}
textures/math/saber/green_glow2
{ 
   qer_editorimage textures/math/saber/green_glow2.tga
   surfaceparm nolightmap  
   surfaceparm noimpact
   surfaceparm trans 
      q3map_surfacelight 50
   q3map_backsplash 100 0

   DeformVertexes autosprite   
   cull none
   { 
   	tcmod rotate 0
      map textures/math/saber/green_glow2.tga
      blendfunc add
   }
}

textures/math/saber/red_glow2
{ 
   qer_editorimage textures/math/saber/red_glow2.tga
   surfaceparm nolightmap  
   surfaceparm noimpact
   surfaceparm trans 
      q3map_surfacelight 50
   q3map_backsplash 100 0

   DeformVertexes autosprite   
   cull none
   { 
   	tcmod rotate 0
      map textures/math/saber/red_glow2.tga
      blendfunc add
   }
}
textures/math/saber/purple_glow2
{ 
   qer_editorimage textures/math/saber/purple_glow2.tga
   surfaceparm nolightmap  
   surfaceparm noimpact
   surfaceparm trans 
      q3map_surfacelight 100
   q3map_backsplash 100 0

   DeformVertexes autosprite   
   cull none
   { 
   	tcmod rotate 0
      map textures/math/saber/purple_glow2.tga
      blendfunc add
   }
}
textures/math/saber/orange_glow2
{ 
   qer_editorimage textures/math/saber/orange_glow2.tga
   surfaceparm nolightmap  
   surfaceparm noimpact
   surfaceparm trans 
      q3map_surfacelight 10
   q3map_backsplash 100 0

   DeformVertexes autosprite   
   cull none
   { 
   	tcmod rotate 0
      map textures/math/saber/orange_glow2.tga
      blendfunc add
   }
}
textures/aflarre/whiteflare
{ 
   qer_editorimage textures/aflarre/whiteflare.tga
   surfaceparm nolightmap  
   surfaceparm noimpact
   surfaceparm trans 
      q3map_surfacelight 10
   q3map_backsplash 100 0

   DeformVertexes autosprite   
   cull none
   { 
   	tcmod rotate 20
      map textures/aflarre/whiteflare.tga
      blendfunc add
   }
}
textures/math/firefly3
{ 
   qer_editorimage textures/math/firefly.tga
   surfaceparm nolightmap  
   surfaceparm noimpact
   surfaceparm trans 
      q3map_surfacelight 100
   q3map_backsplash 100 0

   DeformVertexes autosprite   
   cull none
   { 
   	tcmod rotate 20
      map textures/math/firefly.tga
      blendfunc add
   }
}
textures/math/firefly2
{ 
   qer_editorimage textures/math/firefly.tga
   surfaceparm nolightmap  
   surfaceparm noimpact
   surfaceparm trans 
      q3map_surfacelight 100
   q3map_backsplash 100 0

   DeformVertexes autosprite   
   cull none
   { 
   	tcmod rotate 50
      map textures/math/firefly.tga
      blendfunc add
   }
}


textures/math/lens_flare
{ 
   qer_editorimage textures/math/lens_flare.tga
   surfaceparm nolightmap  
   surfaceparm noimpact
   surfaceparm trans 
      q3map_surfacelight 100
   q3map_backsplash 100 0

   DeformVertexes autosprite   
   cull none
   { 
   	tcmod rotate -20
      map textures/math/lens_flare.tga
      blendfunc add
   }
}
textures/math/firefly
{ 
   surfaceparm nolightmap  
   surfaceparm noimpact
   surfaceparm trans 
      q3map_surfacelight 100
   q3map_backsplash 100 0

   DeformVertexes autosprite   
   cull none
   { 
   	tcmod rotate 10
      map textures/math/firefly.tga
      blendfunc add
   }
}
//======================================
//                  NOdamage
//=========================================

textures/math/nodamage
{
        qer_editorImage textures/math/concrete.jpg
        surfaceparm detail
        surfaceparm nodamage
        {
            map textures/math/concrete.jpg
            tcMod scale 4 4
        }
        {
            map $lightmap
            blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
            rgbgen identity
        }
}

textures/Ap3text/wood9nodam
{
        qer_editorImage textures/Ap3text/wood9.tga
        surfaceparm detail
        surfaceparm nodamage
       {
            map textures/Ap3text/wood9.tga
            tcMod scale 0 0
        }
       
}
textures/Ap3text/minwallnodamage
{
        qer_editorImage textures/Ap3text/minwall.tga
        surfaceparm detail
        surfaceparm nodamage
        {
            map textures/Ap3text/minwall.tga
            tcMod scale 4 4
        }
        {
            map $lightmap
            blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
            rgbgen identity
        }
}
textures/Ap3text/wallflangenodam
{
        qer_editorImage textures/Ap3text/wallflange.tga
        surfaceparm detail
        surfaceparm nodamage
        {
            map textures/Ap3text/wallflange.tga
            blendFunc filter
        }
		{
         map $lightmap
            blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
            rgbgen identity
			}
}

textures/Ap3text/wallflangergb
{
        qer_editorImage textures/Ap3text/wallflange.tga
        surfaceparm trans
	    surfaceparm nonsolid
	    surfaceparm noimpact
		
		
		 q3map_surfacelight 1000
		 q3map_lightRGB 1 0.3 0.000000
        
        {
            map textures/Ap3text/wallflange.tga
			rgbGen const ( 1 0.3 0.0 )
        }
		
}
textures/Ap3text/floorbluenodam
{
	qer_editorImage textures/Ap3text/floorblue
	surfaceparm nodamage
	{
		map textures/Ap3text/floorblue
		tcMod scale 2 2
		}
        {
            map $lightmap
            blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
            rgbgen identity
        }
}
textures/Ap3text/boardnodamage
{
        qer_editorImage textures/Ap3text/board.tga
        surfaceparm detail
        surfaceparm nodamage
        {
            map textures/Ap3text/board.tga
            tcMod scale 4 4
        }
        {
            map $lightmap
            blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
            rgbgen identity
        }
}
textures/math/barnodamage
{
        qer_editorImage textures/math/barside.tga
        surfaceparm detail
        surfaceparm nodamage
        {
            map textures/math/barside.tga
            tcMod scale 4 4
        }
        {
            map $lightmap
            blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
            rgbgen identity
        }
}

textures/Ap3text/pjgrate1

{
		qer_editorImage textures/Ap3text/pjgrate1.tga
        surfaceparm detail
        surfaceparm nodamage
		cull none

    {
	map textures/Ap3text/pjgrate1.tga
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	depthWrite
	rgbGen identity


       }
    {
	map $lightmap
	rgbGen identity
	blendFunc GL_DST_COLOR GL_ZERO
	depthFunc equal


     }


}

textures/Ap3text/railing-nd
{
        qer_editorImage textures/Ap3text/railing.tga
        surfaceparm detail
        surfaceparm nodamage
        {
            map textures/Ap3text/railing.tga
            tcMod scale 4 4
        }
        {
            map $lightmap
            blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
            rgbgen identity
        }
}

textures/math/math_formulas
{
	qer_editorImage textures/math/emc.jpg
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 500
	{
		animMap 0.4 textures/math/emc.jpg textures/math/formula1.jpg textures/math/formula2.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/math/math_formulas1
{
	qer_editorImage textures/math/pit/pit1.jpg
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 10
	{
		animMap 2 textures/math/pit/pit1.jpg textures/math/pit/pit2.jpg textures/math/pit/pit3.jpg 
		blendfunc GL_ONE GL_ONE
	}
}
textures/math/beam_blue
{
	qer_editorimage textures/math/beam_blue4.tga
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	qer_trans .6
	cull none
	{
		map textures/math/beam_blue4.tga
		tcMod Scroll .3 0
         blendFunc add
       }
     
}
textures/atextures/beamshuttle
{ 
   qer_editorimage textures/atextures/beamshuttle.tga
   surfaceparm trans 
   surfaceparm nomarks 
   surfaceparm nolightmap 
   cull none 
   { 
      map textures/atextures/beamshuttle.tga 
      tcmod scroll -0.5 4 
      blendfunc GL_ONE GL_ONE 

   } 
} 
// Shockwave Teleporter
textures/atextures/shockwave22
{ 
        cull disable	
        surfaceparm nomarks
        surfaceparm trans

        {
	        
	        clampmap textures/atextures/shockwave22.tga
		blendFunc add
                tcmod rotate 327
                rgbGen identity
	}
        {
	        clampmap textures/atextures/vortex33.tga
		blendFunc add  
                tcmod rotate -211
                rgbGen identity
        }
        {
	        clampmap textures/atextures/rifle_letters.tga
		blendFunc add
                tcmod rotate 20
	        rgbGen identity
	}
        
      {
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
//Lights
textures/Ap3text/tremorlightblend
{
	qer_editorimage textures/Ap3text/tremorlightblend.tga
	surfaceparm nomarks
	surfaceparm nodamage
	q3map_surfacelight 1500
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	
	{
		map textures/Ap3text/tremorlightblend.tga
		blendfunc add
		rgbGen identity
	}
}
textures/Ap3text/warshutter_ref
{   
 qer_editorimage textures/Ap3text/warshutter.tga
   {
		map textures/Ap3text/warshutter.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	} 
        {
                map textures/effects/tinfx.tga       
                tcGen environment
                rgbGen identity
	}   
      
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}
textures/Ap3text/warshutter_1k
{   
 qer_editorimage textures/Ap3text/warshutter.tga
 q3map_surfacelight 500
 surfaceparm nodamage
   {
		map textures/Ap3text/warshutter.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	} 
        {
                map textures/effects/tinfx.tga       
                tcGen environment
                rgbGen identity
	}   
      
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}
textures/Ap3text/warshutter_chrome
{   
 qer_editorimage textures/Ap3text/warshutter.tga
   {
		map textures/Ap3text/warshutter.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	} 
 {
		map textures/Ap3text/chrome_env.tga
                tcGen environment
		tcmod scale .25 .25 
		rgbGen identity   
	} 
      
    {
		map $lightmap
		rgbgen identity
		blendFunc filter
	}
}
