//****************************************************//
//									//
//	ext_skyy.shader for GTKRadiant			//
//	by Co0ki3 - 18.12.2010				//
//									//
//****************************************************//
// q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
// color will be normalized, so it doesn't matter what range you use
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon



textures/ext_skyy/ext_box
{
    qer_editorimage textures/ext_skyy/box/box_ft.jpg
	//q3map_sun 1 1 1 30 90 90
	q3map_sun 1 1 1 60 260 45
	//q3map_skylight 100 3
	q3map_backsplash 0 0
	surfaceparm nodamage
	
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	
	nopicmip
	nomipmaps

	skyparms textures/ext_skyy/box/box 128 -
}

textures/ext_skyy/ext_night_sky

{   
    qer_editorimage textures/ext_skyy/skyy.tga
	surfaceparm nolightmap
	surfaceparm noimpact
	surfaceparm sky
	q3map_surfacelight 70
	surfaceparm nodamage
	
	nopicmip
	nomipmaps
	q3map_sun 1 1 1 60 260 45
	skyparms textures/ext_skyy/ex_night/ex_night - -
}
textures/ext_skyy/ext_hexagonsky
{
	qer_editorimage textures/ext_skyy/hexagon/hexagon_ft.jpg
//	q3map_sun 255 175 50 150 270 55
//	q3map_sunEXT 255 255 255 400 320 55 3 12
// q3map_sun 1 1 1 500 210 60
  // q3map_sun 1 1 1 100 90 90
  q3map_sun 1 1 1 60 260 45
   // q3map_skylight 100 3
	q3map_backsplash 0 0
	q3map_noFast
	q3map_noFog
	
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight
	
	nopicmip
	nomipmaps
	
	skyParms textures/ext_skyy/hexagon/hexagon 128 -
}